ibase_num_fields
ibase_param_info
Firebird/InterBase Functions
PHP Manual

# ibase_num_params

(PHP 5)

ibase_num_params — Return the number of parameters in a prepared query

### Description

int ibase_num_params ( resource `$query` )

This function returns the number of parameters in the prepared query specified by `query`. This is the number of binding arguments that must be present when calling ibase_execute().

### Parameters

`query`

  The prepared query handle.

### Return Values

Returns the number of parameters as an integer.

### See Also

- ibase_prepare() - Prepare a query for later binding of parameter placeholders and execution
- ibase_param_info() - Return information about a parameter in a prepared query

ibase_num_fields
ibase_param_info
Firebird/InterBase Functions
PHP Manual